GET /api/v1/recommendations/trending/account

Returns the local accounts which are currently trending, best first. Accounts rank by their recent followers, and by the trending recipes, preparations and statuses they authored. The response leaves out the accounts the viewer blocked. Publicly accessible without authentication.

Required Scopes

None (public endpoint).

Request Body

None.

Responses

200

trending accounts

Schema: array[account_output]

account_output

Field Type Required Description
id integer yes
username string yes
name string yes
summary string yes
summary_html string yes
instance string yes
avatar object yes
state string yes The account’s current sync status. - unknown: We don’t know anything about this account. It may not even exist. - loading: We have loaded this account’s direct information, and are currently loading the statuses. - loaded: We have loaded the data from this account. Note that this doesn’t mean we actually have 100% of the data. There could be new data we haven’t loaded yet, or that wasn’t delivered to us. Local and managed accounts always have a state of loaded.
following_count integer yes
followers_count integer yes
like_id integer yes